Bug 132047 - rpm and hdr files for i386, i686 are not deleted
rpm and hdr files for i386, i686 are not deleted
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Ken Reilly
:
Depends On:
Blocks: 130798
  Show dependency treegraph
 
Reported: 2004-09-08 04:14 EDT by Winfrid Tschiedel
Modified: 2012-06-20 09:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:19:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Winfrid Tschiedel 2004-09-08 04:14:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
After up2date processs is finished all files with 
suffix rpm and hdr should be deleted ( depending on the preferrences )
This is done for files with a qualifier "ia64", but files with a
qualifier i386 or i686 are kept in any case.

Today ( Sep. 8, 2004 ) I did an update for my rhel 3.0 as for IPF 
system. After up2date was completed following files were still kept :

fontconfig-2.2.1-13.i386.hdr
fontconfig-2.2.1-13.i386.rpm
glibc-2.3.2-95.27.i686.hdr
glibc-2.3.2-95.27.i686.rpm
libgcc-3.2.3-42.i386.hdr
libgcc-3.2.3-42.i386.rpm
libgcj-3.2.3-42.i386.hdr
libgcj-3.2.3-42.i386.rpm
libstdc++-3.2.3-42.i386.hdr
libstdc++-3.2.3-42.i386.rpm
rhel-ia64-as-3.20040907113741
rhel-ia64-as-3-obsoletes.20040907113741
XFree86-libs-4.3.0-68.EL.i386.hdr
XFree86-libs-4.3.0-68.EL.i386.rpm
XFree86-Mesa-libGL-4.3.0-68.EL.i386.hdr
XFree86-Mesa-libGL-4.3.0-68.EL.i386.rpm

Winfrid


Version-Release number of selected component (if applicable):
4.2.38-1

How reproducible:
Always

Steps to Reproduce:
1.run up2date on IA64
2.there must be updates for  rpms, which exist at least twice
  like XFree86-libs-4.3.0-68.EL ( ia64,i386 )
3.
    

Actual Results:  files with qualifier i386, i686 and suffix hdr (and 
rpm, this depends on your preferences ) are kept.

Expected Results:  files mentioned above should be deleted like files 
with qualifier ia64.

Additional info:
Comment 1 Adrian Likins 2004-09-08 19:10:58 EDT
the i386 packages not being deleted is a definate bug (fixed
in 4.3.31)

the hdr issue is a bit more complicated, since yum/apt/dir
repos require them to be kept around as a cache (RHN
as well, but less so). I'll take a look an see if
I can find a better approach
Comment 3 Jiri Pallich 2012-06-20 09:19:50 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.